tcpdump

Link package | bugs open | bugs closed | Wiki | GitHub | web search
Description Powerful command-line packet analyzer
Version 4.9.2-1 [extra]

Resolved

Group Affected Fixed Severity Status Ticket
AVG-397 4.9.1-1 Medium Not affected
AVG-361 4.9.1-1 4.9.2-1 Critical Fixed
AVG-161 4.8.1-1 4.9.0-1 Critical Fixed
Issue Group Severity Remote Type Description
CVE-2017-5486 AVG-161 Critical Yes Arbitrary code execution
The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in print-isoclns.c:clnp_print().
CVE-2017-5485 AVG-161 Critical Yes Arbitrary code execution
The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in addrtoname.c:lookup_nsap().
CVE-2017-5484 AVG-161 Critical Yes Arbitrary code execution
The ATM parser in tcpdump before 4.9.0 has a buffer overflow in print- atm.c:sig_print().
CVE-2017-5483 AVG-161 Critical Yes Arbitrary code execution
The SNMP parser in tcpdump before 4.9.0 has a buffer overflow in print-snmp.c:asn1_parse().
CVE-2017-5482 AVG-161 Critical Yes Arbitrary code execution
The Q.933 parser in tcpdump before 4.9.0 has a buffer overflow in print-fr.c:q933_print(), a different vulnerability than CVE-2016-8575.
CVE-2017-5342 AVG-161 Critical Yes Arbitrary code execution
In tcpdump before 4.9.0, a bug in multiple protocol parsers (Geneve, GRE, NSH, OTV, VXLAN and VXLAN GPE) could cause a buffer overflow in...
CVE-2017-5341 AVG-161 Critical Yes Arbitrary code execution
The OTV parser in tcpdump before 4.9.0 has a buffer overflow in print- otv.c:otv_print().
CVE-2017-5205 AVG-161 Critical Yes Arbitrary code execution
The ISAKMP parser in tcpdump before 4.9.0 has a buffer overflow in print-isakmp.c:ikev2_e_print().
CVE-2017-5204 AVG-161 Critical Yes Arbitrary code execution
The IPv6 parser in tcpdump before 4.9.0 has a buffer overflow in print-ip6.c:ip6_print().
CVE-2017-5203 AVG-161 Critical Yes Arbitrary code execution
The BOOTP parser in tcpdump before 4.9.0 has a buffer overflow in print-bootp.c:bootp_print().
CVE-2017-5202 AVG-161 Critical Yes Arbitrary code execution
The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in print-isoclns.c:clnp_print().
CVE-2017-13725 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 routing headers in tcpdump <= 4.9.1. An attacker could craft a malicious...
CVE-2017-13690 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IKEv2 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13689 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IKEv1 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13688 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of OLSR in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13687 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Cisco HDLC in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13055 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO IS-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13054 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of LLDP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13053 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BGP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13052 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of CFM in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13051 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of RSVP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13050 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of RPKI-Router in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13049 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Rx in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13048 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of RSVP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13047 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO ES-IP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13046 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BGP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13045 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of VQP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13044 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of HNCP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13043 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BGP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13042 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of HNCP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13041 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ICMPv6 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13040 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of MPTCP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13039 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISAKMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13038 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PPP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13037 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13036 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of OSPFv3 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13035 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO IS-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13034 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PGM in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13033 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of VTP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13032 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of RADIUS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13031 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 fragmentation header in tcpdump <= 4.9.1. An attacker could craft a...
CVE-2017-13030 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PIM in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13029 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PPP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13028 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BOOTP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13027 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of LLDP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13026 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO IS-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13025 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 mobility in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13024 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 mobility in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13023 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 mobility in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13022 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13021 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ICMPv6 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13020 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of VTP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13019 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PGM in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13018 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PGM in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13017 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of DHCPv6 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13016 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO ES-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13015 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of EAP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13014 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of White Board in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13013 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ARP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13012 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ICMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13011 AVG-361 Critical Yes Arbitrary code execution
An out-of-bounds write vulnerability was discovered in tcpdump's parsers when calling bittok2str_internal. An attacker could craft a malicious pcap file or...
CVE-2017-13010 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BEEP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13009 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 mobility in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13008 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IEEE 802.11 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13007 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Apple PKTAP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-13006 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of L2TP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13005 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of NFS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13004 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Juniper in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-13003 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of LMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13002 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of AODV in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13001 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of NFS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-13000 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IEEE 802.15.4 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-12999 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO IS-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12998 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO IS-IS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12997 AVG-361 Medium Yes Denial of service
An infinite loop vulnerability was discovered in tcpdump's handling of LLDP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12996 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of PIMv2 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12995 AVG-361 Medium Yes Denial of service
An infinite loop vulnerability was discovered in tcpdump's handling of DNS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12994 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BGP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12993 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Juniper in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12992 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of RIPng in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12991 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of BGP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12990 AVG-361 Medium Yes Denial of service
An infinite loop vulnerability was discovered in tcpdump's handling of ISAKMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12989 AVG-361 Medium Yes Denial of service
An infinite loop vulnerability was discovered in tcpdump's handling of RESP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12988 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of telnet in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12987 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IEEE 802.11 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file...
CVE-2017-12986 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 routing headers in tcpdump <= 4.9.1. An attacker could craft a malicious...
CVE-2017-12985 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of IPv6 in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12902 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of Zephyr in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12901 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of EIGRP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12900 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's parsers when calling tok2strbuf in tcpdump <= 4.9.1. An attacker could craft a malicious...
CVE-2017-12899 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of DECnet in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12898 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of NFS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12897 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISO CLNS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12896 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ISAKMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-12895 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of ICMP in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or send...
CVE-2017-12894 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's parsers when calling lookup_bytestring in tcpdump <= 4.9.1. An attacker could craft a...
CVE-2017-12893 AVG-361 Medium Yes Denial of service
An out-of-bounds read vulnerability was discovered in tcpdump's handling of SMB/CIFS in tcpdump <= 4.9.1. An attacker could craft a malicious pcap file or...
CVE-2017-11545 AVG-397 Medium Yes Denial of service
** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: CVE-2017-11543. Reason: This candidate is a duplicate of CVE-2017-11543.
CVE-2017-11544 AVG-397 Medium Yes Denial of service
** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: CVE-2017-11543. Reason: This candidate is a duplicate of CVE-2017-11543.
CVE-2017-11543 AVG-361 Critical Yes Arbitrary code execution
An out-of-bounds write vulnerability was discovered in tcpdump's handling of LINKTYPE_SLIP in the sliplink_print function in print- sl.c. An attacker could...
CVE-2017-11542 AVG-361 Medium Yes Denial of service
A heap-based out-of-bounds read vulnerability was discovered in tcpdump <= 4.9.1, in the pimv1_print function in print-pim.c. An attacker could craft a...
CVE-2017-11541 AVG-361 Medium Yes Denial of service
A heap-based out-of-bounds read vulnerability was discovered in tcpdump <= 4.9.1, in the lldp_print function in print-lldp.c, related to util-print.c. An...
CVE-2016-8575 AVG-161 Critical Yes Arbitrary code execution
The Q.933 parser in tcpdump before 4.9.0 has a buffer overflow in print-fr.c:q933_print(), a different vulnerability than CVE-2017-5482.
CVE-2016-8574 AVG-161 Critical Yes Arbitrary code execution
The FRF.15 parser in tcpdump before 4.9.0 has a buffer overflow in print-fr.c:frf15_print().
CVE-2016-7993 AVG-161 Critical Yes Arbitrary code execution
A bug in util-print.c:relts_print() in tcpdump before 4.9.0 could cause a buffer overflow in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP, lightweight...
CVE-2016-7992 AVG-161 Critical Yes Arbitrary code execution
The Classical IP over ATM parser in tcpdump before 4.9.0 has a buffer overflow in print-cip.c:cip_if_print().
CVE-2016-7986 AVG-161 Critical Yes Arbitrary code execution
The GeoNetworking parser in tcpdump before 4.9.0 has a buffer overflow in print-geonet.c, multiple functions.
CVE-2016-7985 AVG-161 Critical Yes Arbitrary code execution
The CALM FAST parser in tcpdump before 4.9.0 has a buffer overflow in print-calm-fast.c:calm_fast_print().
CVE-2016-7984 AVG-161 Critical Yes Arbitrary code execution
The TFTP parser in tcpdump before 4.9.0 has a buffer overflow in print-tftp.c:tftp_print().
CVE-2016-7983 AVG-161 Critical Yes Arbitrary code execution
The BOOTP parser in tcpdump before 4.9.0 has a buffer overflow in print-bootp.c:bootp_print().
CVE-2016-7975 AVG-161 Critical Yes Arbitrary code execution
The TCP parser in tcpdump before 4.9.0 has a buffer overflow in print- tcp.c:tcp_print().
CVE-2016-7974 AVG-161 Critical Yes Arbitrary code execution
The IP parser in tcpdump before 4.9.0 has a buffer overflow in print- ip.c, multiple functions.
CVE-2016-7973 AVG-161 Critical Yes Arbitrary code execution
The AppleTalk parser in tcpdump before 4.9.0 has a buffer overflow in print-atalk.c, multiple functions.
CVE-2016-7940 AVG-161 Critical Yes Arbitrary code execution
The STP parser in tcpdump before 4.9.0 has a buffer overflow in print- stp.c, multiple functions.
CVE-2016-7939 AVG-161 Critical Yes Arbitrary code execution
The GRE parser in tcpdump before 4.9.0 has a buffer overflow in print- gre.c, multiple functions.
CVE-2016-7938 AVG-161 Critical Yes Arbitrary code execution
The ZeroMQ parser in tcpdump before 4.9.0 has an integer overflow in print-zeromq.c:zmtp1_print_frame().
CVE-2016-7937 AVG-161 Critical Yes Arbitrary code execution
The VAT parser in tcpdump before 4.9.0 has a buffer overflow in print- udp.c:vat_print().
CVE-2016-7936 AVG-161 Critical Yes Arbitrary code execution
The UDP parser in tcpdump before 4.9.0 has a buffer overflow in print- udp.c:udp_print().
CVE-2016-7935 AVG-161 Critical Yes Arbitrary code execution
The RTP parser in tcpdump before 4.9.0 has a buffer overflow in print- udp.c:rtp_print().
CVE-2016-7934 AVG-161 Critical Yes Arbitrary code execution
The RTCP parser in tcpdump before 4.9.0 has a buffer overflow in print-udp.c:rtcp_print().
CVE-2016-7933 AVG-161 Critical Yes Arbitrary code execution
The PPP parser in tcpdump before 4.9.0 has a buffer overflow in print- ppp.c:ppp_hdlc_if_print().
CVE-2016-7932 AVG-161 Critical Yes Arbitrary code execution
The PIM parser in tcpdump before 4.9.0 has a buffer overflow in print- pim.c:pimv2_check_checksum().
CVE-2016-7931 AVG-161 Critical Yes Arbitrary code execution
The MPLS parser in tcpdump before 4.9.0 has a buffer overflow in print-mpls.c:mpls_print().
CVE-2016-7930 AVG-161 Critical Yes Arbitrary code execution
The LLC/SNAP parser in tcpdump before 4.9.0 has a buffer overflow in print-llc.c:llc_print().
CVE-2016-7929 AVG-161 Critical Yes Arbitrary code execution
The Juniper PPPoE ATM parser in tcpdump before 4.9.0 has a buffer overflow in print-juniper.c:juniper_parse_header().
CVE-2016-7928 AVG-161 Critical Yes Arbitrary code execution
The IPComp parser in tcpdump before 4.9.0 has a buffer overflow in print-ipcomp.c:ipcomp_print().
CVE-2016-7927 AVG-161 Critical Yes Arbitrary code execution
The IEEE 802.11 parser in tcpdump before 4.9.0 has a buffer overflow in print-802_11.c:ieee802_11_radio_print().
CVE-2016-7926 AVG-161 Critical Yes Arbitrary code execution
The Ethernet parser in tcpdump before 4.9.0 has a buffer overflow in print-ether.c:ethertype_print().
CVE-2016-7925 AVG-161 Critical Yes Arbitrary code execution
The compressed SLIP parser in tcpdump before 4.9.0 has a buffer overflow in print-sl.c:sl_if_print().
CVE-2016-7924 AVG-161 Critical Yes Arbitrary code execution
The ATM parser in tcpdump before 4.9.0 has a buffer overflow in print- atm.c:oam_print().
CVE-2016-7923 AVG-161 Critical Yes Arbitrary code execution
The ARP parser in tcpdump before 4.9.0 has a buffer overflow in print- arp.c:arp_print().
CVE-2016-7922 AVG-161 Critical Yes Arbitrary code execution
The AH parser in tcpdump before 4.9.0 has a buffer overflow in print- ah.c:ah_print().

Advisories

Date Advisory Group Severity Description
13 Sep 2017 ASA-201709-5 AVG-361 Critical multiple issues
02 Feb 2017 ASA-201702-1 AVG-161 Critical arbitrary code execution